PlanewardPlaneward Docs
PlanewardPlaneward Docs
Welcome

Developers

REST APIAuthenticationWebhooksMCPEmbedded projectsTask description contentDeveloper hub

API

List pipelines GETCreate a pipeline POSTGet a pipeline GETRename a pipeline PATCHDelete a pipeline DELETEList stages in a pipeline GETCreate a stage POSTUpdate a stage PATCHDelete a stage DELETE
Pipelines

Rename a pipeline

PATCH
/pipelines/{pipelineId}

Authorization

x-api-key<token>

In: header

Path Parameters

pipelineId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/pipelines/string" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "data": {    "id": "string",    "workspaceId": "string",    "name": "string",    "stages": [      {        "id": "string",        "pipelineId": "string",        "name": "string",        "color": "string",        "type": "OPEN",        "isNurture": true,        "rank": "string"      }    ]  }}

Get a pipeline GET

Previous Page

Delete a pipeline DELETE

Next Page

name*string